%define	xmmsinputdir	 %(test -f /usr/bin/xmms-config && /usr/bin/xmms-config --input-plugin-dir || :)

Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.1.0
Release: 7
License: LGPL/GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.gz
Patch0: flac-1.1.0-m4.patch
Patch1: flac-1.1.0-libtool.patch
Patch2: flac-underquoted.patch
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: xmms-devel, glib-devel, libogg-devel, doxygen, nasm
Obsoletes: flac-libs

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players (the xmms plugin is in a sub-package).

%package devel
Summary: Static libraries and header files from FLAC.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.

%package -n xmms-%{name}
Summary: XMMS input plugin needed to play FLAC (Free Lossless Audio Codec) files.
Group: Applications/Multimedia
Requires: xmms >= 1:1.2.7
Obsoletes: flac-xmms

%description -n xmms-%{name}
FLAC is a Free Lossless Audio Codec. The FLAC format supports
streaming, seeking, and archival, and gives 25-75% compression on
typical CD audio.
This is the input plugin for XMMS to be able to FLAC files.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .underquoted

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{xmmsinputdir}
%makeinstall \
	xmmsinputplugindir=%{buildroot}%{xmmsinputdir}
find doc/ -name "Makefile*" -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root,-)
%doc AUTHORS COPYING* README
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4

%files -n xmms-%{name}
%defattr(-, root, root,-)
%exclude %{xmmsinputdir}/*.la
%{xmmsinputdir}/*.so

%changelog
* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 1.1.0-7
- Fixed warnings in shipped m4 file.

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 1.1.0-6
- BuildRequire glib-devel for xmms plugin
- BuildRequire nasm

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 1.1.0-4
- #119551 flac-xmms -> xmms-flac to match fedora.us and freshrpms.net
- Obsoletes flac-libs to upgrade smoothly from fedora.us

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.1.0-3
- fix x86_64 linkage (#117893)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Aug  6 2003 Bill Nottingham <notting@redhat.com> 1.1.0-1
- initial build
